Modify

Opened 10 years ago

Closed 10 years ago

Last modified 9 years ago

#1684 closed Patches (fixed)

[python] Documentation patch

Reported by: Daniel James Owned by: Dave Abrahams
Milestone: Boost 1.36.0 Component: python USE GITHUB
Version: Boost Development Trunk Severity: Problem
Keywords: Cc:

Description

The fixes a couple of links. Also, escapes some slashes that were confusing quickbook - I think this might be a quickbook bug, but this is the quickest way to fix the output. Both restructed text and quickbook documentation need to be rebuilt.

Attachments (1)

python.patch (2.0 KB) - added by Daniel James 10 years ago.

Download all attachments as: .zip

Change History (6)

Changed 10 years ago by Daniel James

Attachment: python.patch added

comment:1 Changed 10 years ago by Daniel James

Version: Boost 1.34.1Boost Development Trunk

comment:2 Changed 10 years ago by Daniel James

(In [44589]) Fix some links in the python docs. Refs #1684.

comment:3 Changed 10 years ago by Daniel James

Resolution: fixed
Status: newclosed

(In [44807]) Merge in documentation fixes. Apart from the change to optional's documenation Jamfile, which I included by mistake.

Fixes #1659, #1661, #1684, #1685, 1687, #1690, #1801

I wrote about this at:

http://lists.boost.org/Archives/boost/2008/04/136405.php

Merged revisions 44585-44806 via svnmerge from https://svn.boost.org/svn/boost/branches/doc

........

r44585 | danieljames | 2008-04-19 16:25:27 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix broken link to vacpp in bjam docs. Refs #1512

........

r44586 | danieljames | 2008-04-19 16:27:36 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix broken link to bcpp in bjam docs. Refs #1513

........

r44587 | danieljames | 2008-04-19 16:33:58 +0100 (Sat, 19 Apr 2008) | 2 lines

DateTime? documentation - Fix a link to the serialization library. Refs #1659

........

r44588 | danieljames | 2008-04-19 16:35:36 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix some links in interprocess & intrusive. Refs #1661

........

r44589 | danieljames | 2008-04-19 16:37:39 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix some links in the python docs. Refs #1684.

........

r44590 | danieljames | 2008-04-19 16:38:29 +0100 (Sat, 19 Apr 2008) | 2 lines

Work around a quickbook bug which is affecting the python docs. Refs #1684.

........

r44591 | danieljames | 2008-04-19 16:39:34 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix a broken link in the numeric conversion docs. Refs #1685

........

r44592 | danieljames | 2008-04-19 16:40:45 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix some links in the optional docs. Refs #1687

........

r44593 | danieljames | 2008-04-19 16:42:09 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix link to the hash documentation from bimap. Refs #1690

........

r44599 | danieljames | 2008-04-19 18:07:33 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix a typo in the format library. Refs #1801

........

r44600 | danieljames | 2008-04-19 19:20:59 +0100 (Sat, 19 Apr 2008) | 1 line

Initialise svnmerge.

........

r44641 | danieljames | 2008-04-20 18:59:47 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix the lincense url in shared container iterator documentation.

........

r44642 | danieljames | 2008-04-20 19:00:00 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix image link in the mpi documentation.

........

r44643 | danieljames | 2008-04-20 19:00:11 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix a typo in the spirit docs.

........

r44644 | danieljames | 2008-04-20 19:00:23 +0100 (Sun, 20 Apr 2008) | 2 lines

Escape the slash so that quickbook doesn't think it the start of an italic section, and mess up the link. Refs #1844

........

r44647 | danieljames | 2008-04-20 19:39:47 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix another typo in spirit docs.

........

comment:4 Changed 10 years ago by Eric Niebler

(In [45029]) Merged revisions 44724,44726-44730,44738,44741-44742,44744,44746-44750,44752-44753,44755-44756,44758,44764,44766-44768,44771-44775,44777,44781-44787,44789-44807,44812-44816,44818-44826,44831,44837-44840,44842-44853,44857,44862,44864,44873,44877,44881-44883,44886-44887,44889,44891,44893,44895,44897,44900-44902,44904-44907,44919,44934,44941-44942,44946,44949-44954,44957,44962,44968-44973,44975,44977,44979-44984,44991-44993,44995,44997-45002,45004-45006,45010-45011,45019,45023,45025-45027 via svnmerge from https://svn.boost.org/svn/boost/trunk

................

r44724 | daniel_frey | 2008-04-22 12:48:39 -0700 (Tue, 22 Apr 2008) | 1 line

Reduce enable_shared_from_this overhead

................

r44726 | emildotchevski | 2008-04-22 15:23:27 -0700 (Tue, 22 Apr 2008) | 1 line

seems like <link>static causes errors

................

r44727 | chris_kohlhoff | 2008-04-22 16:46:15 -0700 (Tue, 22 Apr 2008) | 2 lines

Fix or suppress MSVC level 4 warnings. Fixes #1703.

................

r44728 | pdimov | 2008-04-22 17:33:58 -0700 (Tue, 22 Apr 2008) | 1 line

Silence an g++ -Wextra warning.

................

r44729 | noel_belcourt | 2008-04-22 18:35:01 -0700 (Tue, 22 Apr 2008) | 11 lines

Fixed intel-darwin unresolved symbols by changing the wide integer type from unsigned int (which managles as a 'j') to an int (which mangles as an 'i'). This change makes intel-darwin generated code match the darwin toolset generated code.

Intel reports this won't be fixed in 10.1 because it's an ABI breanking chanage so we won't see this patched until the 10.2 compilers.

................

r44730 | daniel_frey | 2008-04-22 23:12:39 -0700 (Tue, 22 Apr 2008) | 1 line

Reduce enable_shared_from_this overhead (replace _internal_shared_ptr by _internal_shared_count)

................

r44738 | danieljames | 2008-04-23 00:09:58 -0700 (Wed, 23 Apr 2008) | 85 lines

Merge support for emplace for compilers with rvalue references and variadic templates arguments, and better use of C++0x allocators. Merged revisions 44058-44075,44078-44084,44086-44108,44110-44365,44367,44369-44414,44416-44419,44421-44457,44467-44469,44471-44511,44513-44535,44537-44737 via svnmerge from https://svn.boost.org/svn/boost/branches/unordered/trunk

................

r44467 | danieljames | 2008-04-16 18:35:56 +0100 (Wed, 16 Apr 2008) | 2 lines

Add C++-0x support to the test allocators.

................

r44468 | danieljames | 2008-04-16 18:36:06 +0100 (Wed, 16 Apr 2008) | 2 lines

Add a C++-0x node_constructor.

................

r44469 | danieljames | 2008-04-16 18:36:16 +0100 (Wed, 16 Apr 2008) | 2 lines

C++-0x constructor for node.

................

r44516 | danieljames | 2008-04-17 21:41:48 +0100 (Thu, 17 Apr 2008) | 16 lines

Merge in my work so far on implementing emplace for compilers with variadic template & rvalue references.

Merged revisions 44059-44062 via svnmerge from https://svn.boost.org/svn/boost/branches/unordered/dev

........

r44059 | danieljames | 2008-04-05 17:41:25 +0100 (Sat, 05 Apr 2008) | 1 line

First stab at implementing emplace - only for compilers with variadic template & rvalue references.

........

r44062 | danieljames | 2008-04-05 19:12:09 +0100 (Sat, 05 Apr 2008) | 1 line

Better variable template arguments, need to add proper support to BoostBook?.

........

................

r44616 | danieljames | 2008-04-20 13:30:19 +0100 (Sun, 20 Apr 2008) | 1 line

Merge with trunk, fixes tabs.

................

r44618 | danieljames | 2008-04-20 13:42:38 +0100 (Sun, 20 Apr 2008) | 2 lines

Some extra compile tests.

................

r44619 | danieljames | 2008-04-20 13:42:50 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix an error message.

................

r44703 | danieljames | 2008-04-21 20:19:50 +0100 (Mon, 21 Apr 2008) | 15 lines

Merge latest changes from trunk.

Merged revisions 44616-44702 via svnmerge from https://svn.boost.org/svn/boost/trunk

........

r44650 | danieljames | 2008-04-20 22:08:57 +0100 (Sun, 20 Apr 2008) | 1 line

Update an include.

........

r44697 | danieljames | 2008-04-21 16:55:40 +0100 (Mon, 21 Apr 2008) | 1 line

Factor out the code for choosing the bucket count, and which bucket that hash values map to make it easier to experiment with alternative policies.

........

................

r44733 | danieljames | 2008-04-23 07:55:43 +0100 (Wed, 23 Apr 2008) | 2 lines

Remove 'reserve_extra'.

................

r44734 | danieljames | 2008-04-23 07:55:55 +0100 (Wed, 23 Apr 2008) | 2 lines

More unnecessary copy tests - showing some weakness in the emplace implementation.

................

r44735 | danieljames | 2008-04-23 07:56:06 +0100 (Wed, 23 Apr 2008) | 2 lines

More tests.

................

r44736 | danieljames | 2008-04-23 07:56:19 +0100 (Wed, 23 Apr 2008) | 2 lines

Comment out a test which requires a C++0x std::pair.

................

r44737 | danieljames | 2008-04-23 07:56:35 +0100 (Wed, 23 Apr 2008) | 2 lines

Avoid creating unnecessary copies in unordered_set::emplace and unordered_map::emplace.

................

................

r44741 | noel_belcourt | 2008-04-23 09:16:38 -0700 (Wed, 23 Apr 2008) | 4 lines

Patch PGI to fix config problem (clock_gettime is unresolved external) and add required macro define for IOV_MAX support.

................

r44742 | emildotchevski | 2008-04-23 10:31:56 -0700 (Wed, 23 Apr 2008) | 1 line

Fix for http://tinyurl.com/6owy6b.

................

r44744 | daniel_frey | 2008-04-23 12:32:44 -0700 (Wed, 23 Apr 2008) | 1 line

Remove dynamic_cast in init_internal_shared_once()

................

r44746 | noel_belcourt | 2008-04-23 18:40:31 -0700 (Wed, 23 Apr 2008) | 4 lines

Fixup patch to intel-darwin.jam so it looks and reads a bit better.

................

r44747 | noel_belcourt | 2008-04-23 21:58:27 -0700 (Wed, 23 Apr 2008) | 3 lines

Force pgi to always link rt lib, ugh.

................

r44748 | johnmaddock | 2008-04-24 02:40:31 -0700 (Thu, 24 Apr 2008) | 3 lines

Apply VC-7.1 fixes: sometimes ADL fails, and we need a using declaration in order for the correct overload to be found. Add missing #include. to t_distribution_inv.hpp. Suppress unnecessary instantiations in instantiate_all.cpp.

................

r44749 | hkaiser | 2008-04-24 06:52:22 -0700 (Thu, 24 Apr 2008) | 1 line

Phoenix: disambiguated ref() (gcc 4.3 complained...)

................

r44750 | hkaiser | 2008-04-24 06:54:05 -0700 (Thu, 24 Apr 2008) | 1 line

Spirit.Qi: helping gcc 4.3 to understand what's going on.

................

r44752 | bemandawes | 2008-04-24 13:29:08 -0700 (Thu, 24 Apr 2008) | 1 line

Fix #1858, typo in non-member operators table

................

r44753 | grafik | 2008-04-24 13:30:03 -0700 (Thu, 24 Apr 2008) | 1 line

Make it possible to filter which libraries are tested from the CLI with "--filter-tests=" options.

................

r44755 | djowel | 2008-04-24 15:13:32 -0700 (Thu, 24 Apr 2008) | 1 line

added nullary function support

................

r44756 | djowel | 2008-04-24 15:13:58 -0700 (Thu, 24 Apr 2008) | 1 line

use plain functions instead of bind

................

r44758 | noel_belcourt | 2008-04-24 16:05:16 -0700 (Thu, 24 Apr 2008) | 4 lines

Added no two phase name lookup for intel-darwin compilers.

................

r44764 | noel_belcourt | 2008-04-25 08:38:26 -0700 (Fri, 25 Apr 2008) | 4 lines

Enable macros BOOST_HAS_PTHREAD_MUTEXATTR_SETTYPE and BOOST_HAS_NANOSLEEP.

................

r44766 | niels_dekker | 2008-04-25 09:50:32 -0700 (Fri, 25 Apr 2008) | 1 line

Improved swap for optional<T>, co-written by Thorsten and Fernando: added support for tweaking whether swap should use T's default constructor. Added swap member function. Discussed at Boost developers' mailing list, "[optional] problems with swap()", http://lists.boost.org/Archives/boost/2008/04/135882.php

................

r44767 | niels_dekker | 2008-04-25 09:52:34 -0700 (Fri, 25 Apr 2008) | 1 line

Added unit tests, testing optional<T> swap improvements of revision [44766]

................

r44768 | noel_belcourt | 2008-04-25 10:37:47 -0700 (Fri, 25 Apr 2008) | 3 lines

Get config tests working (missing -lrt).

................

r44771 | hkaiser | 2008-04-25 19:02:44 -0700 (Fri, 25 Apr 2008) | 1 line

Applied patch provided by Felipe Magno de Almeida [felipe.m.almeida@…].

................

r44772 | daniel_frey | 2008-04-25 23:36:59 -0700 (Fri, 25 Apr 2008) | 1 line

No need for the new ctors to be templates

................

r44773 | anthonyw | 2008-04-26 00:34:46 -0700 (Sat, 26 Apr 2008) | 1 line

Fixed g++ compile error

................

r44774 | speedsnail | 2008-04-26 02:54:07 -0700 (Sat, 26 Apr 2008) | 3 lines

use-project didn't actually do what the comment promised. This triggered an error with thread Jamfile that could be seen when bjam was invoked in rootdir with bjam --with-wave.

................

r44775 | pdimov | 2008-04-26 06:39:52 -0700 (Sat, 26 Apr 2008) | 1 line

Added a few more tests.

................

r44777 | daniel_frey | 2008-04-26 08:42:13 -0700 (Sat, 26 Apr 2008) | 1 line

Added new reset()-counterparts for the new ctors

................

r44781 | emildotchevski | 2008-04-26 10:43:58 -0700 (Sat, 26 Apr 2008) | 1 line

Added protected destructor to the base type error_info_base

................

r44782 | daniel_frey | 2008-04-26 12:59:11 -0700 (Sat, 26 Apr 2008) | 1 line

Refactored and optimized enable_shared_from_this

................

r44783 | hkaiser | 2008-04-26 13:09:56 -0700 (Sat, 26 Apr 2008) | 1 line

Added wrap_action for zero parameter semantic actions

................

r44784 | hkaiser | 2008-04-26 13:10:36 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit.Lex: fixed typos in comments

................

r44785 | hkaiser | 2008-04-26 13:11:25 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit.Classic: Added some explaining comments to the namespace handling.

................

r44786 | hkaiser | 2008-04-26 13:12:12 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit: applied patch from #1886, closed now.

................

r44787 | hkaiser | 2008-04-26 13:24:00 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit: Switched to use unordered from main Boost distribution, removed local copy of unordered.

................

r44789 | hkaiser | 2008-04-26 14:51:59 -0700 (Sat, 26 Apr 2008) | 1 line

Phoenix: Fixed gcc 4.3.0 compilation issue.

................

r44790 | grafik | 2008-04-26 15:21:50 -0700 (Sat, 26 Apr 2008) | 1 line

Add the test target name to the bjam XML log output to make it easier to match tests to jam targets.

................

r44791 | grafik | 2008-04-26 16:15:40 -0700 (Sat, 26 Apr 2008) | 1 line

Re-implement PJL in Python to fix various problems with the C++ version. In brief to remove the need of a good C++ compiler to submit results, remove the post-processing of the raw bjam output, and to fix missing results (for example Spirit classic results).

................

r44792 | hkaiser | 2008-04-26 17:49:41 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit: disabled some warnings for VC /W4

................

r44793 | hkaiser | 2008-04-26 18:00:34 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit: suppressed more VC level 4 warnings

................

r44794 | hkaiser | 2008-04-26 18:04:25 -0700 (Sat, 26 Apr 2008) | 1 line

Fusion: Fixed a VC level 4 warning

................

r44795 | hkaiser | 2008-04-26 18:08:04 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit: suppressed more VC level 4 warnings.

................

r44796 | hkaiser | 2008-04-26 18:08:43 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit: suppressed more VC level 4 warnings.

................

r44797 | hkaiser | 2008-04-26 18:38:42 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit.Lex: Attempt to fix Intel V9.1 issue.

................

r44798 | hkaiser | 2008-04-26 18:44:31 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit.Lex: fixed some gcc 4.3 warnings.

................

r44799 | hkaiser | 2008-04-26 18:45:05 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit.Lex: Fixed gcc 4.3 compilation erros.

................

r44800 | hkaiser | 2008-04-26 18:46:24 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit.Lex: fixed some gcc 4.3 warnings.

................

r44801 | hkaiser | 2008-04-26 18:47:35 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit.Lex: fixed some gcc 4.3 warnings.

................

r44802 | hkaiser | 2008-04-26 18:50:50 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit.Karma: Fixed Jamfile

................

r44803 | hkaiser | 2008-04-26 18:59:44 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit.Qi: Fixed a ambiguity reported by gcc 4.3

................

r44804 | hkaiser | 2008-04-26 19:01:22 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit.Karma: Fixed gcc 4.3 compilation issue.

................

r44805 | hkaiser | 2008-04-26 19:04:07 -0700 (Sat, 26 Apr 2008) | 1 line

Spirit: Fixed a ambiguity reported by VC8 for embedded systems

................

r44806 | djowel | 2008-04-26 20:21:12 -0700 (Sat, 26 Apr 2008) | 1 line

tweak: const correctness

................

r44807 | danieljames | 2008-04-27 00:39:49 -0700 (Sun, 27 Apr 2008) | 78 lines

Merge in documentation fixes. Apart from the change to optional's documenation Jamfile, which I included by mistake.

Fixes #1659, #1661, #1684, #1685, 1687, #1690, #1801

I wrote about this at:

http://lists.boost.org/Archives/boost/2008/04/136405.php

Merged revisions 44585-44806 via svnmerge from https://svn.boost.org/svn/boost/branches/doc

........

r44585 | danieljames | 2008-04-19 16:25:27 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix broken link to vacpp in bjam docs. Refs #1512

........

r44586 | danieljames | 2008-04-19 16:27:36 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix broken link to bcpp in bjam docs. Refs #1513

........

r44587 | danieljames | 2008-04-19 16:33:58 +0100 (Sat, 19 Apr 2008) | 2 lines

DateTime? documentation - Fix a link to the serialization library. Refs #1659

........

r44588 | danieljames | 2008-04-19 16:35:36 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix some links in interprocess & intrusive. Refs #1661

........

r44589 | danieljames | 2008-04-19 16:37:39 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix some links in the python docs. Refs #1684.

........

r44590 | danieljames | 2008-04-19 16:38:29 +0100 (Sat, 19 Apr 2008) | 2 lines

Work around a quickbook bug which is affecting the python docs. Refs #1684.

........

r44591 | danieljames | 2008-04-19 16:39:34 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix a broken link in the numeric conversion docs. Refs #1685

........

r44592 | danieljames | 2008-04-19 16:40:45 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix some links in the optional docs. Refs #1687

........

r44593 | danieljames | 2008-04-19 16:42:09 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix link to the hash documentation from bimap. Refs #1690

........

r44599 | danieljames | 2008-04-19 18:07:33 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix a typo in the format library. Refs #1801

........

r44600 | danieljames | 2008-04-19 19:20:59 +0100 (Sat, 19 Apr 2008) | 1 line

Initialise svnmerge.

........

r44641 | danieljames | 2008-04-20 18:59:47 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix the lincense url in shared container iterator documentation.

........

r44642 | danieljames | 2008-04-20 19:00:00 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix image link in the mpi documentation.

........

r44643 | danieljames | 2008-04-20 19:00:11 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix a typo in the spirit docs.

........

r44644 | danieljames | 2008-04-20 19:00:23 +0100 (Sun, 20 Apr 2008) | 2 lines

Escape the slash so that quickbook doesn't think it the start of an italic section, and mess up the link. Refs #1844

........

r44647 | danieljames | 2008-04-20 19:39:47 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix another typo in spirit docs.

........

................

r44812 | djowel | 2008-04-27 01:41:13 -0700 (Sun, 27 Apr 2008) | 1 line

added grammar_class

................

r44813 | djowel | 2008-04-27 01:41:47 -0700 (Sun, 27 Apr 2008) | 1 line

added grammar_class test

................

r44814 | djowel | 2008-04-27 01:44:38 -0700 (Sun, 27 Apr 2008) | 1 line

tweak grammar_class test

................

r44815 | djowel | 2008-04-27 02:11:33 -0700 (Sun, 27 Apr 2008) | 1 line

tweak grammar_class test

................

r44816 | djowel | 2008-04-27 02:11:49 -0700 (Sun, 27 Apr 2008) | 1 line

tweak grammar_class

................

r44818 | igaztanaga | 2008-04-27 07:57:11 -0700 (Sun, 27 Apr 2008) | 13 lines

Intrusive:

  • Added linear<> and cache_last<> options to singly linked lists.
  • Added optimize_multikey<> option to unordered container hooks.
  • Optimized unordered containers when store_hash option is used in the hook.
  • Implementation changed to be exception agnostic so that it can be used

in environments without exceptions.

  • Added container_from_iterator function to tree-based containers.

Interprocess:

  • Added anonymous shared memory for UNIX systems.
  • Fixed file lock compilation errors

................

r44819 | igaztanaga | 2008-04-27 08:03:06 -0700 (Sun, 27 Apr 2008) | 13 lines

Intrusive:

  • Added linear<> and cache_last<> options to singly linked lists.
  • Added optimize_multikey<> option to unordered container hooks.
  • Optimized unordered containers when store_hash option is used in the hook.
  • Implementation changed to be exception agnostic so that it can be used

in environments without exceptions.

  • Added container_from_iterator function to tree-based containers.

Interprocess:

  • Added anonymous shared memory for UNIX systems.
  • Fixed file lock compilation errors

................

r44820 | hkaiser | 2008-04-27 11:09:29 -0700 (Sun, 27 Apr 2008) | 1 line

Spirit.Lex: introduced workaround for Intel compilers <= V9.1

................

r44821 | hkaiser | 2008-04-27 11:11:17 -0700 (Sun, 27 Apr 2008) | 1 line

Spirit.Qi: Made it clear for gcc 4.3 which ref() to use.

................

r44822 | hkaiser | 2008-04-27 11:14:49 -0700 (Sun, 27 Apr 2008) | 1 line

Spirit.Lex: Fixed a gcc 4.3 warning

................

r44823 | hkaiser | 2008-04-27 11:28:04 -0700 (Sun, 27 Apr 2008) | 1 line

Spirit.Lex: Fixed a gcc 4.3 warning

................

r44824 | hkaiser | 2008-04-27 11:37:41 -0700 (Sun, 27 Apr 2008) | 1 line

Spirit.Lex: Fixed a gcc 4.3 warning (again, sigh)

................

r44825 | niels_dekker | 2008-04-27 14:07:10 -0700 (Sun, 27 Apr 2008) | 1 line

Added forward declaration of optional<T>'s boost::swap overload, as mentioned at http://article.gmane.org/gmane.comp.lib.boost.devel/174350 "Re: [optional] problems with swap()"

................

r44826 | niels_dekker | 2008-04-27 14:09:50 -0700 (Sun, 27 Apr 2008) | 1 line

Replaced "using std::swap" by "using boost::swap" within optional::swap member function, hoping to fix GCC test failures, as mentioned at http://article.gmane.org/gmane.comp.lib.boost.devel/174350 "Re: [optional] problems with swap()"

................

r44831 | djowel | 2008-04-27 18:07:52 -0700 (Sun, 27 Apr 2008) | 1 line

tweaks

................

r44837 | daniel_frey | 2008-04-28 00:17:11 -0700 (Mon, 28 Apr 2008) | 1 line

Improved sp_deleter_wrapper implementation

................

r44838 | anthonyw | 2008-04-28 02:00:58 -0700 (Mon, 28 Apr 2008) | 1 line

Added detail::try_lock_wrapper for use as scoped_try_lock typedefs, to fix issue #1873

................

r44839 | anthonyw | 2008-04-28 02:04:40 -0700 (Mon, 28 Apr 2008) | 1 line

reverted accidental change

................

r44840 | anthonyw | 2008-04-28 02:10:38 -0700 (Mon, 28 Apr 2008) | 1 line

Added entry to breaking changes about default-constructed threads and the current thread: issue #1835

................

r44842 | johnmaddock | 2008-04-28 04:07:14 -0700 (Mon, 28 Apr 2008) | 1 line

Fixes for issue #1871 that prevents duplicate symbol errors with VC++ compilers, when building with /Zc:wchar_t-.

................

r44843 | djowel | 2008-04-28 04:15:13 -0700 (Mon, 28 Apr 2008) | 1 line

experimental grammar/grammar_def unification

................

r44844 | djowel | 2008-04-28 04:16:29 -0700 (Mon, 28 Apr 2008) | 1 line

experimental grammar/grammar_def unification

................

r44845 | djowel | 2008-04-28 04:17:09 -0700 (Mon, 28 Apr 2008) | 1 line

calc2 generating an AST

................

r44846 | anthonyw | 2008-04-28 05:26:27 -0700 (Mon, 28 Apr 2008) | 1 line

Updated locks.hpp to work with gcc as well as msvc

................

r44847 | hkaiser | 2008-04-28 06:33:15 -0700 (Mon, 28 Apr 2008) | 1 line

Spirit.Lex: fixed workaround for Intel compilers <= V9.1

................

r44848 | chris_kohlhoff | 2008-04-28 06:35:27 -0700 (Mon, 28 Apr 2008) | 2 lines

Update asio version number.

................

r44849 | chris_kohlhoff | 2008-04-28 06:36:18 -0700 (Mon, 28 Apr 2008) | 2 lines

Add raw socket support.

................

r44850 | hkaiser | 2008-04-28 06:44:40 -0700 (Mon, 28 Apr 2008) | 1 line

Spirit.Qi: Added a missing 'using namespace'.

................

r44851 | chris_kohlhoff | 2008-04-28 06:56:07 -0700 (Mon, 28 Apr 2008) | 2 lines

Add an experimental two-lock queue implementation for task_io_service.

................

r44852 | dgregor | 2008-04-28 07:11:46 -0700 (Mon, 28 Apr 2008) | 1 line

Improve documentation on the size/efficiency of boost::function objects

................

r44853 | hkaiser | 2008-04-28 07:34:02 -0700 (Mon, 28 Apr 2008) | 1 line

Spirit.Qi: calc2_ast: fixed a wrong include statement

................

r44857 | eric_niebler | 2008-04-28 09:46:33 -0700 (Mon, 28 Apr 2008) | 1 line

add missing #include

................

r44862 | niels_dekker | 2008-04-28 14:14:15 -0700 (Mon, 28 Apr 2008) | 1 line

Marked MSVC 7.1 optional_test failure as "expected", because of an ADL-related compiler issue.

................

r44864 | guwi17 | 2008-04-28 14:50:19 -0700 (Mon, 28 Apr 2008) | 4 lines

  • fix and close #1829
  • You are right. The scaled norm wrongly assumed that the first element is not zero.

................

r44873 | daniel_frey | 2008-04-28 22:32:13 -0700 (Mon, 28 Apr 2008) | 1 line

Fixed comment to reflect the intention and the current code

................

r44877 | johnmaddock | 2008-04-29 03:05:11 -0700 (Tue, 29 Apr 2008) | 2 lines

Changed long long to boost::long_long_type and unsigned long long to boost::ulong_long_type. A couple of other typo corrections, to get the code compiling with g++ -pedantic.

................

r44881 | hkaiser | 2008-04-29 06:53:21 -0700 (Tue, 29 Apr 2008) | 1 line

Spirit.Qi: Fixed grammar_test

................

r44882 | hkaiser | 2008-04-29 07:09:40 -0700 (Tue, 29 Apr 2008) | 1 line

Spirit.Qi: Fixed grammar_test

................

r44883 | hkaiser | 2008-04-29 07:47:29 -0700 (Tue, 29 Apr 2008) | 1 line

Spirit.Qi: Minor edits mainly in comments

................

r44886 | emildotchevski | 2008-04-29 10:17:45 -0700 (Tue, 29 Apr 2008) | 1 line

Added required header #include <new>

................

r44887 | dgregor | 2008-04-29 10:57:54 -0700 (Tue, 29 Apr 2008) | 1 line

Add support for MPI_SIGNED_CHAR to Boost.MPI

................

r44889 | dgregor | 2008-04-29 11:18:01 -0700 (Tue, 29 Apr 2008) | 1 line

Remove names of unused variables. Fixes #1832 and fixes #1865

................

r44891 | dgregor | 2008-04-29 11:34:28 -0700 (Tue, 29 Apr 2008) | 1 line

Correct erroneous call to is_reachable from is_connected. Fixes #870

................

r44893 | dgregor | 2008-04-29 11:37:26 -0700 (Tue, 29 Apr 2008) | 1 line

Improve logic to guess the toolset name in top-level configure script. Fixes #1087

................

r44895 | dgregor | 2008-04-29 11:46:17 -0700 (Tue, 29 Apr 2008) | 1 line

Make configure more closely follow autotools conventions. Fixes #1664

................

r44897 | marshall | 2008-04-29 13:16:19 -0700 (Tue, 29 Apr 2008) | 1 line

Updated bounds on uniform_real and uniform_smallint to allow min == max

................

r44900 | jurko | 2008-04-29 15:49:36 -0700 (Tue, 29 Apr 2008) | 1 line

Typo corrections & minor stylistic comment changes.

................

r44901 | hkaiser | 2008-04-29 17:59:08 -0700 (Tue, 29 Apr 2008) | 1 line

Spirit.Karma: Fixed rule, added calc2_ast_dump example

................

r44902 | hkaiser | 2008-04-29 18:33:53 -0700 (Tue, 29 Apr 2008) | 1 line

Spirit: Fixed main classic header

................

r44904 | hkaiser | 2008-04-29 18:57:39 -0700 (Tue, 29 Apr 2008) | 1 line

Spirit.Karma: Fixing ref() ambiguity

................

r44905 | hkaiser | 2008-04-29 18:59:05 -0700 (Tue, 29 Apr 2008) | 1 line

Spirit.Karma: Fixing ref() ambiguity

................

r44906 | hkaiser | 2008-04-29 19:00:28 -0700 (Tue, 29 Apr 2008) | 1 line

Spirit.Qi: Fixing ref() ambiguity

................

r44907 | hkaiser | 2008-04-29 19:02:27 -0700 (Tue, 29 Apr 2008) | 1 line

Spirit.Qi: Fixing ref() ambiguity

................

r44919 | danieljames | 2008-04-30 00:57:04 -0700 (Wed, 30 Apr 2008) | 49 lines

Merge in support for equality operators for the unordered containers and hopefully better cross-platform support.

Merged revisions 44778-44835,44837-44918 via svnmerge from https://svn.boost.org/svn/boost/branches/unordered/trunk

........

r44778 | danieljames | 2008-04-26 17:15:44 +0100 (Sat, 26 Apr 2008) | 2 lines

Remove a trailing comma.

........

r44779 | danieljames | 2008-04-26 17:23:51 +0100 (Sat, 26 Apr 2008) | 1 line

Merge in support for equality operators.

........

r44780 | danieljames | 2008-04-26 17:28:44 +0100 (Sat, 26 Apr 2008) | 1 line

Use my own list container to avoid working around STL container bugs.

........

r44833 | danieljames | 2008-04-28 08:03:43 +0100 (Mon, 28 Apr 2008) | 1 line

Better equality tests.

........

r44834 | danieljames | 2008-04-28 08:04:03 +0100 (Mon, 28 Apr 2008) | 1 line

Remove a superfluous check.

........

r44835 | danieljames | 2008-04-28 08:04:21 +0100 (Mon, 28 Apr 2008) | 1 line

Add equality reference documentation.

........

r44916 | danieljames | 2008-04-30 08:16:52 +0100 (Wed, 30 Apr 2008) | 1 line

New version of list.hpp

........

r44917 | danieljames | 2008-04-30 08:18:31 +0100 (Wed, 30 Apr 2008) | 1 line

Support compilers without ADL in the compile tests.

........

r44918 | danieljames | 2008-04-30 08:25:20 +0100 (Wed, 30 Apr 2008) | 7 lines

Change the typedef of buffered functions as it was confusing MSVC 6.5

get_allocator wasn't compiling when the allocator workaround is used because it couldn't cast from the wrapped allocator to an allocator of another type. So use value_alloc_ when it's available (it's only unavailable on compilers with C++0x support, which don't require the workaround).

........

................

r44934 | hkaiser | 2008-04-30 08:47:07 -0700 (Wed, 30 Apr 2008) | 1 line

Spirit.Karma: Added example calc2_ast_rpn

................

r44941 | jurko | 2008-04-30 12:24:04 -0700 (Wed, 30 Apr 2008) | 1 line

Comment cleanup - both stylistic & typo corrections.

................

r44942 | jurko | 2008-04-30 12:26:55 -0700 (Wed, 30 Apr 2008) | 1 line

Comment typo correction.

................

r44946 | jurko | 2008-04-30 12:45:29 -0700 (Wed, 30 Apr 2008) | 1 line

Added several svn:ignore Subversion properties to make Subversion ignore folders creating during default Boost & Boost Jam builds on Windows.

................

r44949 | jurko | 2008-04-30 13:00:24 -0700 (Wed, 30 Apr 2008) | 1 line

Removed trailing spaces from tools/build/v2/build/modifiers.jam.

................

r44950 | hkaiser | 2008-04-30 13:33:23 -0700 (Wed, 30 Apr 2008) | 1 line

Spirit.Karma: Fixed rule tests (pattern.cpp)

................

r44951 | hkaiser | 2008-04-30 13:41:37 -0700 (Wed, 30 Apr 2008) | 1 line

Spirit.Karma: added #include <boost/config/warning_disable.hpp> to Karma examples

................

r44952 | hkaiser | 2008-04-30 13:42:11 -0700 (Wed, 30 Apr 2008) | 1 line

Spirit.Lex: added #include <boost/config/warning_disable.hpp> to Lex examples

................

r44953 | jurko | 2008-04-30 13:58:05 -0700 (Wed, 30 Apr 2008) | 1 line

Corrected a typo in the Boost Build documentation.

................

r44954 | emildotchevski | 2008-04-30 14:45:00 -0700 (Wed, 30 Apr 2008) | 1 line

Integration of Boost Exception in boost::throw_exception().

................

r44957 | hkaiser | 2008-04-30 15:54:09 -0700 (Wed, 30 Apr 2008) | 1 line

Spirit.Qi: added #include <boost/config/warning_disable.hpp> to Qi examples

................

r44962 | djowel | 2008-04-30 19:10:56 -0700 (Wed, 30 Apr 2008) | 1 line

integer overflow fix

................

r44968 | danieljames | 2008-05-01 02:23:22 -0700 (Thu, 01 May 2008) | 2 lines

Add list.hpp which was missed from the merge.

................

r44969 | jurko | 2008-05-01 02:39:45 -0700 (Thu, 01 May 2008) | 1 line

Consistently converted tabs to spaces in tools/build/v2/test/BoostBuild.py to avoid confusion reading the Python source.

................

r44970 | jurko | 2008-05-01 02:55:47 -0700 (Thu, 01 May 2008) | 1 line

Renamed the Tester.wait_for_time_change() function to Tester.wait_for_time_change_since_last_build() to avoid confusion.

................

r44971 | jurko | 2008-05-01 03:03:15 -0700 (Thu, 01 May 2008) | 1 line

Boost Build documentation typo correction. Removed trailing spaces. Minor stylistic changes.

................

r44972 | johnmaddock | 2008-05-01 04:51:39 -0700 (Thu, 01 May 2008) | 1 line

Fix broken URL.

................

r44973 | hkaiser | 2008-05-01 07:17:52 -0700 (Thu, 01 May 2008) | 1 line

Spirit.Karma: Trying to workaround a gcc 4.2.1 bug.

................

r44975 | jurko | 2008-05-01 08:09:58 -0700 (Thu, 01 May 2008) | 1 line

Boost Build comment typo corrections and minor stylistic changes.

................

r44977 | hkaiser | 2008-05-01 09:20:38 -0700 (Thu, 01 May 2008) | 1 line

Wave: Changing properties for test.cfg to fix test failures non Windows systems

................

r44979 | pdimov | 2008-05-01 09:50:39 -0700 (Thu, 01 May 2008) | 1 line

make_shared added; tweaks for old compilers; fixes #1884.

................

r44980 | jurko | 2008-05-01 10:01:03 -0700 (Thu, 01 May 2008) | 1 line

Minor stylistic comment changes.

................

r44981 | jurko | 2008-05-01 10:04:22 -0700 (Thu, 01 May 2008) | 1 line

Added explanation comments for match_exact() and match_re() functions in tools/build/v2/test/TestCmd.py. Removed corpse interpreted member from the TescCmd? class and the related setter function in tools/build/v2/test/TestCmd.py. Minor stylistic comment changes.

................

r44982 | jurko | 2008-05-01 10:06:02 -0700 (Thu, 01 May 2008) | 1 line

Updated the main Tester class comment in tools/build/v2/build/v2/test/BoostBuild.py describing all of its available constructor parameters. Minor stylistic changes.

................

r44983 | jurko | 2008-05-01 10:08:04 -0700 (Thu, 01 May 2008) | 1 line

Updated the Boost Build test system documentation. Now all the command line options are described. Several function descriptions updated.

................

r44984 | hkaiser | 2008-05-01 10:31:42 -0700 (Thu, 01 May 2008) | 1 line

Spirit.Lex: Removed unused variables

................

r44991 | jurko | 2008-05-01 12:47:37 -0700 (Thu, 01 May 2008) | 1 line

Fixed a bug with BOOST_BUILD_PATH not getting set correctly in Boost Build unit tests in case it contained spaces.

................

r44992 | jurko | 2008-05-01 12:55:50 -0700 (Thu, 01 May 2008) | 1 line

Added the default Boost Jam build target folders on cygwin - bin.cygwinx86 & bin.cygwinc86.debug to the svn:ignore list.

................

r44993 | jurko | 2008-05-01 13:22:12 -0700 (Thu, 01 May 2008) | 1 line

Upgraded the internal Boost Build test system so it can be run from folders whose names contain spaces on Windows. Also added a workaround for a Python bug on Windows where it has some undocumented behavior when starting processes using commands containing quotes.

................

r44995 | jurko | 2008-05-01 14:19:11 -0700 (Thu, 01 May 2008) | 1 line

Minor stylistic changes.

................

r44997 | chris_kohlhoff | 2008-05-01 15:00:26 -0700 (Thu, 01 May 2008) | 3 lines

Add a fast path for some speculative read and write operations in the epoll_reactor.

................

r44998 | chris_kohlhoff | 2008-05-01 15:27:21 -0700 (Thu, 01 May 2008) | 3 lines

A memory barrier is needed on some platforms to ensure that all updates to the node occur before the tail pointer is updated.

................

r44999 | jurko | 2008-05-01 17:10:09 -0700 (Thu, 01 May 2008) | 1 line

Minor stylistic changes.

................

r45000 | jurko | 2008-05-01 17:12:29 -0700 (Thu, 01 May 2008) | 1 line

Added support for tests checking that a build run did not take longer than expected to finish. Minor stylistic changes.

................

r45001 | jurko | 2008-05-01 17:36:23 -0700 (Thu, 01 May 2008) | 1 line

Added a new regression test making sure that the Boost Jam SORT builtin rule does not start getting quadratic behavior in some special cases as well as testing that the sorting algorithm works correctly. Related to the patch committed in revision 44195. Trimmed trailing spaces in tools/build/v2/test/test_all.py.

................

r45002 | jurko | 2008-05-01 17:51:05 -0700 (Thu, 01 May 2008) | 1 line

Documentation typo corrected.

................

r45004 | jurko | 2008-05-01 17:57:29 -0700 (Thu, 01 May 2008) | 1 line

Minor stylistic changes.

................

r45005 | jurko | 2008-05-01 18:02:01 -0700 (Thu, 01 May 2008) | 1 line

Updated the Boost Build test system's documentation about Tester.run_build_system() parameters. Minor stylistic changes.

................

r45006 | chris_kohlhoff | 2008-05-02 00:59:01 -0700 (Fri, 02 May 2008) | 3 lines

Fully qualify uses of asio's placeholders to resolve ambiguity with C++0x's placeholders namespace.

................

r45010 | chris_kohlhoff | 2008-05-02 01:38:15 -0700 (Fri, 02 May 2008) | 3 lines

Don't use the names readv and writev for functions defined inside asio as these names seem to be macros on Tru64.

................

r45011 | nesotto | 2008-05-02 01:38:15 -0700 (Fri, 02 May 2008) | 1 line

added missing const in insert()

................

r45019 | igaztanaga | 2008-05-02 04:07:08 -0700 (Fri, 02 May 2008) | 1 line

Tickets #1883, #1862, #1709

................

r45023 | jurko | 2008-05-02 08:26:44 -0700 (Fri, 02 May 2008) | 1 line

Minor stylistic Boost Build code changes.

................

r45025 | grafik | 2008-05-02 08:44:25 -0700 (Fri, 02 May 2008) | 1 line

Use all test sub-projects regardless of filtering so that the tests show up in the bjam XML log.

................

r45026 | grafik | 2008-05-02 08:52:42 -0700 (Fri, 02 May 2008) | 1 line

Add support for test log processing with process_jam_log.py instead of C++ PJL. (also fixes #1889)

................

r45027 | pdimov | 2008-05-02 09:49:34 -0700 (Fri, 02 May 2008) | 1 line

Fix throwing enums instead of archive_exceptions.

................

comment:5 Changed 9 years ago by Dave Abrahams

(In [47459]) Merging all trunk changes in Boost.Python to release. The logs for these changes follow. r44807 is a merge from another branch; many of those changes probably don't apply.

------------------------------------------------------------------------ r43423 | danieljames | 2008-02-27 14:22:01 -0500 (Wed, 27 Feb 2008) | 1 line

Fix incorrect links to copyright of the form 'http:#www.boost.org ------------------------------------------------------------------------ r43546 | rwgk | 2008-03-08 23:30:13 -0500 (Sat, 08 Mar 2008) | 1 line

map std::invalid_argument -> Python ValueError? ------------------------------------------------------------------------ r43799 | grafik | 2008-03-22 18:53:35 -0400 (Sat, 22 Mar 2008) | 1 line

Remove svn exec property from files that should not be executable to fix permission problems in archives. ------------------------------------------------------------------------ r43845 | dave | 2008-03-24 14:27:22 -0400 (Mon, 24 Mar 2008) | 1 line

Work around vc9 bugs ------------------------------------------------------------------------ r43901 | bemandawes | 2008-03-27 22:11:13 -0400 (Thu, 27 Mar 2008) | 1 line

Remove per email from Dave ------------------------------------------------------------------------ r44041 | rwgk | 2008-04-04 14:57:27 -0400 (Fri, 04 Apr 2008) | 1 line

bogus VC8 warning C4180 disabled ------------------------------------------------------------------------ r44449 | djowel | 2008-04-15 23:07:06 -0400 (Tue, 15 Apr 2008) | 1 line

Andreas patch ------------------------------------------------------------------------ r44450 | djowel | 2008-04-15 23:07:11 -0400 (Tue, 15 Apr 2008) | 1 line

Andreas indexing suite patch ------------------------------------------------------------------------ r44807 | danieljames | 2008-04-27 03:39:49 -0400 (Sun, 27 Apr 2008) | 78 lines

Merge in documentation fixes. Apart from the change to optional's documenation Jamfile, which I included by mistake.

Fixes #1659, #1661, #1684, #1685, 1687, #1690, #1801

I wrote about this at:

http://lists.boost.org/Archives/boost/2008/04/136405.php

Merged revisions 44585-44806 via svnmerge from https://svn.boost.org/svn/boost/branches/doc

........

r44585 | danieljames | 2008-04-19 16:25:27 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix broken link to vacpp in bjam docs. Refs #1512

........

r44586 | danieljames | 2008-04-19 16:27:36 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix broken link to bcpp in bjam docs. Refs #1513

........

r44587 | danieljames | 2008-04-19 16:33:58 +0100 (Sat, 19 Apr 2008) | 2 lines

DateTime? documentation - Fix a link to the serialization library. Refs #1659

........

r44588 | danieljames | 2008-04-19 16:35:36 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix some links in interprocess & intrusive. Refs #1661

........

r44589 | danieljames | 2008-04-19 16:37:39 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix some links in the python docs. Refs #1684.

........

r44590 | danieljames | 2008-04-19 16:38:29 +0100 (Sat, 19 Apr 2008) | 2 lines

Work around a quickbook bug which is affecting the python docs. Refs #1684.

........

r44591 | danieljames | 2008-04-19 16:39:34 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix a broken link in the numeric conversion docs. Refs #1685

........

r44592 | danieljames | 2008-04-19 16:40:45 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix some links in the optional docs. Refs #1687

........

r44593 | danieljames | 2008-04-19 16:42:09 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix link to the hash documentation from bimap. Refs #1690

........

r44599 | danieljames | 2008-04-19 18:07:33 +0100 (Sat, 19 Apr 2008) | 2 lines

Fix a typo in the format library. Refs #1801

........

r44600 | danieljames | 2008-04-19 19:20:59 +0100 (Sat, 19 Apr 2008) | 1 line

Initialise svnmerge.

........

r44641 | danieljames | 2008-04-20 18:59:47 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix the lincense url in shared container iterator documentation.

........

r44642 | danieljames | 2008-04-20 19:00:00 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix image link in the mpi documentation.

........

r44643 | danieljames | 2008-04-20 19:00:11 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix a typo in the spirit docs.

........

r44644 | danieljames | 2008-04-20 19:00:23 +0100 (Sun, 20 Apr 2008) | 2 lines

Escape the slash so that quickbook doesn't think it the start of an italic section, and mess up the link. Refs #1844

........

r44647 | danieljames | 2008-04-20 19:39:47 +0100 (Sun, 20 Apr 2008) | 2 lines

Fix another typo in spirit docs.

........

------------------------------------------------------------------------ r45283 | danieljames | 2008-05-11 09:49:20 -0400 (Sun, 11 May 2008) | 1 line

Quote href values - our tools don't support unquoted values. ------------------------------------------------------------------------ r45359 | rwgk | 2008-05-14 15:38:08 -0400 (Wed, 14 May 2008) | 1 line

braces added to resolve g++ 4.3.0 warning ------------------------------------------------------------------------ r45918 | rwgk | 2008-05-29 15:48:55 -0400 (Thu, 29 May 2008) | 66 lines

See Python C++-SIG thread: "object.attr(object& attrname) proposal" Started 2008-05-25 by hohehohe2@….

Excerpts:

If char const* is passed to objecjt.attr(), it uses PyObject_GetAttrStrng() or PyObject_SetAttrStrng(). If object is passed to objecjt.attr(), it takes the object as a Python string object and uses PyObject_GetAttr() or PyObject_SetAttr().

If attr() behaves like this, it can be useful when there are lots of objects which you know have the same attribute name. You can save time by first making a boost::python::object and passing it to every object's attr() inside a loop.

I just made a bit of modification to boost:python locally and did a quick test, like

test 1:

for(int i = 0; i < n; ++i) {

omain.attr(attrname) = 444; attrname is a char const*

}

test 2:

for(int i = 0; i < n; ++i) {

object o = omain.attr(attrname); attrname is a char const*

}

test 3:

for(int i = 0; i < n; ++i) {

omain.attr(oaaaa) = 444; oaaaa is boost::python::object that represents a string

}

test 4:

for(int i = 0; i < n; ++i) {

object o = omain.attr(oaaaa); oaaaa is boost::python::object that represents a string

}

and it reasonably reflected the difference between PyObject_*Attr() and PyObject_*AttrString?.

test 1 :2783ms test 2 :2357ms test 3 :1882ms test 4 :1267ms

test5: PyObject_SetAttrString(po_main, "aaaa", po_num444); test6: Py_DECREF(PyObject_GetAttrString(po_main, "aaaa")); test7: PyObject_SetAttr(po_main, po_aaaa, po_num444); test8: Py_DECREF(PyObject_GetAttr(po_main, po_aaaa)); (po_ prefixed variables are PyObject?*),

all inside each for loop, and the results were

test 5 :2410ms test 6 :2277ms test 7 :1629ms test 8 :1094ms

It's boost 1.35.0, Python 2.5 on linux(gcc4.1.2). I also did the same test on windows(vs8) and the tendency was not so different.

------------------------------------------------------------------------ r45920 | rwgk | 2008-05-29 16:04:19 -0400 (Thu, 29 May 2008) | 1 line

Projects using Boost.Python: PolyBoRi? (text provided by Michael Brickenstein) ------------------------------------------------------------------------ r46115 | schoepflin | 2008-06-04 11:11:05 -0400 (Wed, 04 Jun 2008) | 1 line

Added missing ostream header file. ------------------------------------------------------------------------ r46445 | dgregor | 2008-06-17 09:54:46 -0400 (Tue, 17 Jun 2008) | 1 line

Add mime-type and eol-style properties as needed ------------------------------------------------------------------------ r46721 | dave | 2008-06-26 12:41:34 -0400 (Thu, 26 Jun 2008) | 2 lines

Compatibility with Apache STDCXX library. Don't assume eh.h comes along with the other headers automatically.

------------------------------------------------------------------------ r46808 | bemandawes | 2008-06-28 09:45:21 -0400 (Sat, 28 Jun 2008) | 1 line

With his kind permission, change Jaakko "J<LATIN SMALL LETTER A WITH DIARESIS>rvi" to "Jarvi" ------------------------------------------------------------------------ r46817 | djowel | 2008-06-28 14:24:17 -0400 (Sat, 28 Jun 2008) | 1 line

added note on removing targets ------------------------------------------------------------------------ r46844 | dave | 2008-06-29 08:26:17 -0400 (Sun, 29 Jun 2008) | 2 lines

Make valid HTML

------------------------------------------------------------------------

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Dave Abrahams.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.